## python-nox 2024.04.15

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/nox.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/nox.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/nox"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/nox"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-nox 2019.5.30

=== debian/changelog ===
python-nox (2019.5.30-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration.
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 22 Jan 2020 11:41:05 -0500

python-nox (2019.5.30-1) unstable; urgency=low

  * Initial release (Closes: #932979).

 -- Michael Fladischer <fladi@debian.org>  Thu, 25 Jul 2019 13:07:43 +0200

=== debian/control ===
Source: python-nox
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-recommonmark,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.5.0
Homepage: https://github.com/theacodes/nox/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-nox
Vcs-Git: https://salsa.debian.org/python-team/modules/python-nox.git
Testsuite: autopkgtest-pkg-python

Package: nox
Architecture: all
Section: devel
Depends:
 python3-nox (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Flexible test automation
 Nox is a command-line tool that automates testing in multiple Python
 environments, similar to tox. Unlike tox, Nox uses a standard Python file for
 configuration.
 It will automatically create virtualenv with the appropriate interpreter,
 install the specified dependencies, and run the commands in order.

Package: python-nox-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Flexible test automation (Documentation)
 Nox is a command-line tool that automates testing in multiple Python
 environments, similar to tox. Unlike tox, Nox uses a standard Python file for
 configuration.
 It will automatically create virtualenv with the appropriate interpreter,
 install the specified dependencies, and run the commands in order.
 .
 This package contains the documentation.

Package: python3-nox
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-nox-doc,
Description: Flexible test automation (Python3 version)
 Nox is a command-line tool that automates testing in multiple Python
 environments, similar to tox. Unlike tox, Nox uses a standard Python file for
 configuration.
 It will automatically create virtualenv with the appropriate interpreter,
 install the specified dependencies, and run the commands in order.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_DISABLE=test  # Nox does not support using system packages in its virtualenvs yet.

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-nox-doc/usr/share/doc/python-nox-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.]+.*)$/python-nox-$1/ \
https://github.com/theacodes/nox/releases \
/theacodes/nox/archive/v?([\d\.]+)\.tar\.gz

## python-nox 2022.1.7

=== debian/changelog ===
python-nox (2022.1.7-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Clean up nox.egg-info/not-zip-safe to allow two builds in a row.
  * Add missing test dependencies to Build-Depends.
  * Set Rules-Requires-Root: no.
  * Update year in d/copyright.
  * Run upstream tests during build.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 01 Feb 2022 11:16:32 +0000

python-nox (2021.10.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * debian/watch: Fix grammar.
  * Bump Standards-Version to 4.6.0.
  * Bump debhelper compat to v13.
  * debian/patches/0003-Recover-minimal-setup.py.patch: Add a minimal
    setup.py to allow pybuild to build the package.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-nox-doc: Add Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Oct 2021 09:31:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,28 @@
 Source: python-nox
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
+ python3-argcomplete,
+ python3-colorlog,
+ python3-py,
+ python3-pytest,
  python3-recommonmark,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.0
+ python3-venv,
+ tox,
+Standards-Version: 4.6.0
 Homepage: https://github.com/theacodes/nox/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-nox
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-nox.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nox
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-nox.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: nox
 Architecture: all
@@ -37,6 +44,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Flexible test automation (Documentation)
  Nox is a command-line tool that automates testing in multiple Python
  environments, similar to tox. Unlike tox, Nox uses a standard Python file for

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-k "not test_create_reuse_stale_virtualenv_environment and not test_create_reuse_venv_environment and not test_create_venv_backend"

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-nox-doc/usr/share/doc/python-nox-doc/html
	dh_sphinxdoc
endif

execute_before_dh_clean:
	rm -rf docs/.build

## python-nox 2022.11.21

=== debian/changelog ===
python-nox (2022.11.21-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Peter Pentchev ]
  * New upstream release:
    - use pybuild-plugin-pyproject since the setuptools configuration
      moved to the pyproject.toml file
    - drop the 0003-Recover-minimal-setup.py patch, not needed as
      setuptools uses the pyproject.toml file now
    - add the 0003-Discover-the-nox-package patch to tell setuptools to
      only look for nox packages, the debian/ subdirectory is not a package
    - add the 0004-Include-tox-to-nox-jinja2 patch to make sure that
      the nox/tox_to_nox.jinja2 file is available for the test suite
    - drop py as a build dependency
    - tell pytest to not even attempt to parse the test_actions_helper.py
      test file that is only relevant to GitHub actions; the dynamic
      modification of the module search path seems to confuse pytest
    - add python3-myst-parser as a new documentation build dependency
    - chase the README.rst -> README.md renamed file in python3-nox.docs
    - refresh patch line numbers

 -- Peter Pentchev <roam@debian.org>  Thu, 09 Feb 2023 13:21:31 +0200

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-argcomplete,
  python3-colorlog,
- python3-py,
+ python3-myst-parser,
  python3-pytest,
  python3-recommonmark,
  python3-setuptools,
  python3-sphinx,
  python3-venv,
  tox,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/theacodes/nox/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nox
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-nox.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-nox-$1.tar.gz%" \
 https://github.com/theacodes/nox/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-nox 2023.04.22

=== debian/changelog ===
python-nox (2023.04.22-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Jun 2023 20:07:10 -0400

python-nox (2023.04.22-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Drop patches that configured setuptools, upstream switched to hatchling.
  * Build-Depend on python3-hatchling instead of setuptools.
  * Patch: support older virtualenv versions in tests.
  * Patch: docs: Determine the package version from the Debian changelog.
  * Build-Depend on python3-sphinx-tabs for docs.
  * Patch: Port to tox 4 (Closes: #1035641)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 11 May 2023 14:52:11 -0400

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
  python3-all,
  python3-argcomplete,
  python3-colorlog,
+ python3-hatchling,
  python3-myst-parser,
  python3-pytest,
  python3-recommonmark,
- python3-setuptools,
  python3-sphinx,
+ python3-sphinx-tabs,
  python3-venv,
  tox,
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS=-k "not test_create_reuse_stale_virtualenv_environment and not test_create_reuse_venv_environment and not test_create_venv_backend"
+export PYBUILD_TEST_ARGS=--ignore tests/test_action_helper.py -k "not test_create_reuse_stale_virtualenv_environment and not test_create_reuse_venv_environment and not test_create_venv_backend"
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild

## python-nox 2024.04.15

=== debian/changelog ===
python-nox (2024.04.15-3) unstable; urgency=medium

  * Team upload.
  * tests: fix broken mock on CPython 3.12.8+ (closes: #1090281).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Dec 2024 18:56:26 +0000

python-nox (2024.04.15-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-all-venv rather than python3-venv (closes:
    #1082234).

 -- Colin Watson <cjwatson@debian.org>  Thu, 07 Nov 2024 00:17:21 +0000

python-nox (2024.04.15-1) unstable; urgency=low

  * New upstream version 2024.04.15
  * Refresh patches and drop upstreamed ones.
  * Bump Standards-Version to 4.7.0.
  * Update year in d/copyright.
  * Add patch to remove remote image shield to prevent privacy issues.
  * Install pyproject.toml as testfile so tests are run in the build path.
  * Use help2man to generate up-to-date man pages.
  * Simplify d/rules by using execute_ target instead of override.

 -- Michael Fladischer <fladi@debian.org>  Thu, 18 Jul 2024 19:53:49 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ help2man,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-all-venv,
  python3-argcomplete,
  python3-colorlog,
  python3-hatchling,
@@ -17,9 +19,8 @@
  python3-recommonmark,
  python3-sphinx,
  python3-sphinx-tabs,
- python3-venv,
  tox,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/theacodes/nox/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nox
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-nox.git

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,14 @@
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_sphinxdoc:
+execute_before_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-nox-doc/usr/share/doc/python-nox-doc/html
-	dh_sphinxdoc
 endif
 
 execute_before_dh_clean:
 	rm -rf docs/.build
+
+execute_before_dh_installman:
+	PYTHONPATH=$$(pybuild --print build_dir | awk -F ': ' 'NR==1{print $$2}') help2man --no-discard-stderr -n 'Flexible test automation' $(CURDIR)/debian/tmp/usr/bin/nox >$(CURDIR)/nox.1
+	PYTHONPATH=$$(pybuild --print build_dir | awk -F ': ' 'NR==1{print $$2}') help2man --no-discard-stderr -n 'Converts toxfiles to noxfiles' $(CURDIR)/debian/tmp/usr/bin/tox-to-nox >$(CURDIR)/tox-to-nox.1

## python-nox 2025.11.12

=== debian/changelog ===
python-nox (2025.11.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2025.11.12
  * Refresh patches
  * Add new build-deps:
    * python3-attr
    * python3-dependency-groups
    * python3-humanize
    * python3-pbs-installer
  * Disables tests that need unpackaged "uv"
  * Disable useless Salsa CI jobs
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag

  [ Peter Pentchev ]
  * Add Salsa CI configuration.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Feb 2026 17:45:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-nox
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
@@ -12,20 +11,23 @@
  python3-all,
  python3-all-venv,
  python3-argcomplete,
+ python3-attr,
  python3-colorlog,
+ python3-dependency-groups,
  python3-hatchling,
+ python3-humanize,
  python3-myst-parser,
+ python3-pbs-installer,
  python3-pytest,
  python3-recommonmark,
  python3-sphinx,
  python3-sphinx-tabs,
  tox,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/theacodes/nox/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nox
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-nox.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: nox
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,19 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# many tests need "uv" to be packaged
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS=--ignore tests/test_action_helper.py -k "not test_create_reuse_stale_virtualenv_environment and not test_create_reuse_venv_environment and not test_create_venv_backend"
+export PYBUILD_TEST_ARGS=--ignore tests/test_action_helper.py \
+                         -k "not test_create_reuse_stale_virtualenv_environment \
+                         and not test_create_reuse_venv_environment \
+                         and not test_create_venv_backend \
+                         and not test_symlink_sym \
+                         and not test_noxfile_script_mode \
+                         and not test_download_python_auto_missing_interpreter \
+                         and not test_download_python_always_preexisting_interpreter \
+                         and not test_download_python_failed_install \
+                         and not test_commands_with_requirements \
+                         "
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
